import { ValidationError } from './step-validator';
import { Step } from './types';
import { Stream } from './types-stream';
export declare class Printer {
    private readonly baseDir;
    constructor(baseDir: string);
    stepTag: string;
    flowTag: string;
    created: string;
    building: string;
    built: string;
    updated: string;
    removed: string;
    printInvalidEmit(step: Step, emit: string): void;
    printStepCreated(step: Step): void;
    printStepUpdated(step: Step): void;
    printStepRemoved(step: Step): void;
    printFlowCreated(flowName: string): void;
    printFlowUpdated(flowName: string): void;
    printFlowRemoved(flowName: string): void;
    printStreamCreated(stream: Stream): void;
    printStreamUpdated(stream: Stream): void;
    printStreamRemoved(stream: Stream): void;
    printInvalidSchema(topic: string, step: Step[]): void;
    printValidationError(stepPath: string, validationError: ValidationError): void;
    getRelativePath(filePath: string): string;
    getStepType(step: Step): string;
    getStepPath(step: Step): string;
    getStreamPath(stream: Stream): string;
}
export declare class NoPrinter extends Printer {
    constructor(baseDir: string);
    printInvalidEmit(): void;
    printStepCreated(): void;
    printStepUpdated(): void;
    printStepRemoved(): void;
    printFlowCreated(): void;
    printFlowUpdated(): void;
    printFlowRemoved(): void;
    printStepType(): void;
    printStepPath(): void;
    printStreamCreated(): void;
    printStreamUpdated(): void;
    printStreamRemoved(): void;
}
